# Method SSL.Session()->new_client_states()

Method new_client_states

  `array(State) new_client_states(.Connection con, string(8bit) client_random, string(8bit) server_random, ProtocolVersion version)`

Description

  Computes a new set of encryption states, derived from the client_random, server_random and master_secret strings.

Returns

  Array
  `SSL.State read_state` | Read state
  `SSL.State write_state` | Write state